// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v5.29.3
// source: internal/gitlab/api/api.proto

package api

import (
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"

	_ "buf.build/gen/go/bufbuild/protovalidate/protocolbuffers/go/buf/validate"
	agentcfg "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/pkg/agentcfg"
	_ "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/pkg/constraint"
	entity "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/pkg/entity"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Configuration struct {
	state            protoimpl.MessageState `protogen:"open.v1"`
	DefaultNamespace string                 `protobuf:"bytes,1,opt,name=default_namespace,proto3" json:"default_namespace,omitempty"`
	AccessAs         *agentcfg.CiAccessAsCF `protobuf:"bytes,2,opt,name=access_as,proto3" json:"access_as,omitempty"`
	unknownFields    protoimpl.UnknownFields
	sizeCache        protoimpl.SizeCache
}

func (x *Configuration) Reset() {
	*x = Configuration{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Configuration) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Configuration) ProtoMessage() {}

func (x *Configuration) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Configuration.ProtoReflect.Descriptor instead.
func (*Configuration) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{0}
}

func (x *Configuration) GetDefaultNamespace() string {
	if x != nil {
		return x.DefaultNamespace
	}
	return ""
}

func (x *Configuration) GetAccessAs() *agentcfg.CiAccessAsCF {
	if x != nil {
		return x.AccessAs
	}
	return nil
}

type AllowedAgent struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	ConfigProject *ConfigProject         `protobuf:"bytes,2,opt,name=config_project,proto3" json:"config_project,omitempty"`
	Configuration *Configuration         `protobuf:"bytes,3,opt,name=configuration,proto3" json:"configuration,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AllowedAgent) Reset() {
	*x = AllowedAgent{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AllowedAgent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AllowedAgent) ProtoMessage() {}

func (x *AllowedAgent) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AllowedAgent.ProtoReflect.Descriptor instead.
func (*AllowedAgent) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{1}
}

func (x *AllowedAgent) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *AllowedAgent) GetConfigProject() *ConfigProject {
	if x != nil {
		return x.ConfigProject
	}
	return nil
}

func (x *AllowedAgent) GetConfiguration() *Configuration {
	if x != nil {
		return x.Configuration
	}
	return nil
}

type ConfigProject struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ConfigProject) Reset() {
	*x = ConfigProject{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ConfigProject) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConfigProject) ProtoMessage() {}

func (x *ConfigProject) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConfigProject.ProtoReflect.Descriptor instead.
func (*ConfigProject) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{2}
}

func (x *ConfigProject) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type Pipeline struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *Pipeline) Reset() {
	*x = Pipeline{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Pipeline) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Pipeline) ProtoMessage() {}

func (x *Pipeline) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Pipeline.ProtoReflect.Descriptor instead.
func (*Pipeline) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{3}
}

func (x *Pipeline) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type Project struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Groups        []*Group               `protobuf:"bytes,2,rep,name=groups,proto3" json:"groups,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *Project) Reset() {
	*x = Project{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[4]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Project) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Project) ProtoMessage() {}

func (x *Project) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[4]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Project.ProtoReflect.Descriptor instead.
func (*Project) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{4}
}

func (x *Project) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *Project) GetGroups() []*Group {
	if x != nil {
		return x.Groups
	}
	return nil
}

type Group struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *Group) Reset() {
	*x = Group{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[5]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Group) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Group) ProtoMessage() {}

func (x *Group) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[5]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Group.ProtoReflect.Descriptor instead.
func (*Group) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{5}
}

func (x *Group) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type Job struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *Job) Reset() {
	*x = Job{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[6]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Job) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Job) ProtoMessage() {}

func (x *Job) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[6]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Job.ProtoReflect.Descriptor instead.
func (*Job) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{6}
}

func (x *Job) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type User struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Username      string                 `protobuf:"bytes,2,opt,name=username,proto3" json:"username,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *User) Reset() {
	*x = User{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[7]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *User) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*User) ProtoMessage() {}

func (x *User) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[7]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use User.ProtoReflect.Descriptor instead.
func (*User) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{7}
}

func (x *User) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *User) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

type Environment struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Slug          string                 `protobuf:"bytes,1,opt,name=slug,proto3" json:"slug,omitempty"`
	Tier          string                 `protobuf:"bytes,2,opt,name=tier,proto3" json:"tier,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *Environment) Reset() {
	*x = Environment{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[8]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *Environment) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Environment) ProtoMessage() {}

func (x *Environment) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[8]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Environment.ProtoReflect.Descriptor instead.
func (*Environment) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{8}
}

func (x *Environment) GetSlug() string {
	if x != nil {
		return x.Slug
	}
	return ""
}

func (x *Environment) GetTier() string {
	if x != nil {
		return x.Tier
	}
	return ""
}

type GetAgentInfoResponse struct {
	state            protoimpl.MessageState   `protogen:"open.v1"`
	ProjectId        int64                    `protobuf:"varint,1,opt,name=project_id,proto3" json:"project_id,omitempty"`
	AgentId          int64                    `protobuf:"varint,2,opt,name=agent_id,proto3" json:"agent_id,omitempty"`
	AgentName        string                   `protobuf:"bytes,3,opt,name=agent_name,proto3" json:"agent_name,omitempty"`
	GitalyInfo       *entity.GitalyInfo       `protobuf:"bytes,4,opt,name=gitaly_info,proto3" json:"gitaly_info,omitempty"`
	GitalyRepository *entity.GitalyRepository `protobuf:"bytes,5,opt,name=gitaly_repository,proto3" json:"gitaly_repository,omitempty"`
	DefaultBranch    string                   `protobuf:"bytes,6,opt,name=default_branch,proto3" json:"default_branch,omitempty"`
	unknownFields    protoimpl.UnknownFields
	sizeCache        protoimpl.SizeCache
}

func (x *GetAgentInfoResponse) Reset() {
	*x = GetAgentInfoResponse{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[9]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetAgentInfoResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetAgentInfoResponse) ProtoMessage() {}

func (x *GetAgentInfoResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[9]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetAgentInfoResponse.ProtoReflect.Descriptor instead.
func (*GetAgentInfoResponse) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{9}
}

func (x *GetAgentInfoResponse) GetProjectId() int64 {
	if x != nil {
		return x.ProjectId
	}
	return 0
}

func (x *GetAgentInfoResponse) GetAgentId() int64 {
	if x != nil {
		return x.AgentId
	}
	return 0
}

func (x *GetAgentInfoResponse) GetAgentName() string {
	if x != nil {
		return x.AgentName
	}
	return ""
}

func (x *GetAgentInfoResponse) GetGitalyInfo() *entity.GitalyInfo {
	if x != nil {
		return x.GitalyInfo
	}
	return nil
}

func (x *GetAgentInfoResponse) GetGitalyRepository() *entity.GitalyRepository {
	if x != nil {
		return x.GitalyRepository
	}
	return nil
}

func (x *GetAgentInfoResponse) GetDefaultBranch() string {
	if x != nil {
		return x.DefaultBranch
	}
	return ""
}

type GetProjectInfoResponse struct {
	state            protoimpl.MessageState   `protogen:"open.v1"`
	ProjectId        int64                    `protobuf:"varint,1,opt,name=project_id,proto3" json:"project_id,omitempty"`
	GitalyInfo       *entity.GitalyInfo       `protobuf:"bytes,2,opt,name=gitaly_info,proto3" json:"gitaly_info,omitempty"`
	GitalyRepository *entity.GitalyRepository `protobuf:"bytes,3,opt,name=gitaly_repository,proto3" json:"gitaly_repository,omitempty"`
	DefaultBranch    string                   `protobuf:"bytes,4,opt,name=default_branch,proto3" json:"default_branch,omitempty"`
	unknownFields    protoimpl.UnknownFields
	sizeCache        protoimpl.SizeCache
}

func (x *GetProjectInfoResponse) Reset() {
	*x = GetProjectInfoResponse{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[10]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetProjectInfoResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetProjectInfoResponse) ProtoMessage() {}

func (x *GetProjectInfoResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[10]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetProjectInfoResponse.ProtoReflect.Descriptor instead.
func (*GetProjectInfoResponse) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{10}
}

func (x *GetProjectInfoResponse) GetProjectId() int64 {
	if x != nil {
		return x.ProjectId
	}
	return 0
}

func (x *GetProjectInfoResponse) GetGitalyInfo() *entity.GitalyInfo {
	if x != nil {
		return x.GitalyInfo
	}
	return nil
}

func (x *GetProjectInfoResponse) GetGitalyRepository() *entity.GitalyRepository {
	if x != nil {
		return x.GitalyRepository
	}
	return nil
}

func (x *GetProjectInfoResponse) GetDefaultBranch() string {
	if x != nil {
		return x.DefaultBranch
	}
	return ""
}

type GetRepositoryInfoResponse struct {
	state            protoimpl.MessageState   `protogen:"open.v1"`
	ProjectId        int64                    `protobuf:"varint,1,opt,name=project_id,proto3" json:"project_id,omitempty"`
	GitalyInfo       *entity.GitalyInfo       `protobuf:"bytes,2,opt,name=gitaly_info,proto3" json:"gitaly_info,omitempty"`
	GitalyRepository *entity.GitalyRepository `protobuf:"bytes,3,opt,name=gitaly_repository,proto3" json:"gitaly_repository,omitempty"`
	DefaultBranch    string                   `protobuf:"bytes,4,opt,name=default_branch,proto3" json:"default_branch,omitempty"`
	unknownFields    protoimpl.UnknownFields
	sizeCache        protoimpl.SizeCache
}

func (x *GetRepositoryInfoResponse) Reset() {
	*x = GetRepositoryInfoResponse{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[11]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetRepositoryInfoResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetRepositoryInfoResponse) ProtoMessage() {}

func (x *GetRepositoryInfoResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[11]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetRepositoryInfoResponse.ProtoReflect.Descriptor instead.
func (*GetRepositoryInfoResponse) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{11}
}

func (x *GetRepositoryInfoResponse) GetProjectId() int64 {
	if x != nil {
		return x.ProjectId
	}
	return 0
}

func (x *GetRepositoryInfoResponse) GetGitalyInfo() *entity.GitalyInfo {
	if x != nil {
		return x.GitalyInfo
	}
	return nil
}

func (x *GetRepositoryInfoResponse) GetGitalyRepository() *entity.GitalyRepository {
	if x != nil {
		return x.GitalyRepository
	}
	return nil
}

func (x *GetRepositoryInfoResponse) GetDefaultBranch() string {
	if x != nil {
		return x.DefaultBranch
	}
	return ""
}

type AllowedAgentsForJob struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	AllowedAgents []*AllowedAgent        `protobuf:"bytes,1,rep,name=allowed_agents,proto3" json:"allowed_agents,omitempty"`
	Job           *Job                   `protobuf:"bytes,2,opt,name=job,proto3" json:"job,omitempty"`
	Pipeline      *Pipeline              `protobuf:"bytes,3,opt,name=pipeline,proto3" json:"pipeline,omitempty"`
	Project       *Project               `protobuf:"bytes,4,opt,name=project,proto3" json:"project,omitempty"`
	User          *User                  `protobuf:"bytes,5,opt,name=user,proto3" json:"user,omitempty"`
	Environment   *Environment           `protobuf:"bytes,6,opt,name=environment,proto3" json:"environment,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AllowedAgentsForJob) Reset() {
	*x = AllowedAgentsForJob{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[12]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AllowedAgentsForJob) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AllowedAgentsForJob) ProtoMessage() {}

func (x *AllowedAgentsForJob) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[12]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AllowedAgentsForJob.ProtoReflect.Descriptor instead.
func (*AllowedAgentsForJob) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{12}
}

func (x *AllowedAgentsForJob) GetAllowedAgents() []*AllowedAgent {
	if x != nil {
		return x.AllowedAgents
	}
	return nil
}

func (x *AllowedAgentsForJob) GetJob() *Job {
	if x != nil {
		return x.Job
	}
	return nil
}

func (x *AllowedAgentsForJob) GetPipeline() *Pipeline {
	if x != nil {
		return x.Pipeline
	}
	return nil
}

func (x *AllowedAgentsForJob) GetProject() *Project {
	if x != nil {
		return x.Project
	}
	return nil
}

func (x *AllowedAgentsForJob) GetUser() *User {
	if x != nil {
		return x.User
	}
	return nil
}

func (x *AllowedAgentsForJob) GetEnvironment() *Environment {
	if x != nil {
		return x.Environment
	}
	return nil
}

type AuthorizeProxyUserRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	AgentId       int64                  `protobuf:"varint,1,opt,name=agent_id,proto3" json:"agent_id,omitempty"`
	AccessType    string                 `protobuf:"bytes,2,opt,name=access_type,proto3" json:"access_type,omitempty"`
	AccessKey     string                 `protobuf:"bytes,3,opt,name=access_key,proto3" json:"access_key,omitempty"`
	CsrfToken     string                 `protobuf:"bytes,4,opt,name=csrf_token,proto3" json:"csrf_token,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AuthorizeProxyUserRequest) Reset() {
	*x = AuthorizeProxyUserRequest{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[13]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AuthorizeProxyUserRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AuthorizeProxyUserRequest) ProtoMessage() {}

func (x *AuthorizeProxyUserRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[13]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AuthorizeProxyUserRequest.ProtoReflect.Descriptor instead.
func (*AuthorizeProxyUserRequest) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{13}
}

func (x *AuthorizeProxyUserRequest) GetAgentId() int64 {
	if x != nil {
		return x.AgentId
	}
	return 0
}

func (x *AuthorizeProxyUserRequest) GetAccessType() string {
	if x != nil {
		return x.AccessType
	}
	return ""
}

func (x *AuthorizeProxyUserRequest) GetAccessKey() string {
	if x != nil {
		return x.AccessKey
	}
	return ""
}

func (x *AuthorizeProxyUserRequest) GetCsrfToken() string {
	if x != nil {
		return x.CsrfToken
	}
	return ""
}

type AuthorizeProxyUserResponse struct {
	state         protoimpl.MessageState      `protogen:"open.v1"`
	Agent         *AuthorizedAgentForUser     `protobuf:"bytes,1,opt,name=agent,proto3" json:"agent,omitempty"`
	User          *User                       `protobuf:"bytes,2,opt,name=user,proto3" json:"user,omitempty"`
	AccessAs      *AccessAsProxyAuthorization `protobuf:"bytes,3,opt,name=access_as,proto3" json:"access_as,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AuthorizeProxyUserResponse) Reset() {
	*x = AuthorizeProxyUserResponse{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[14]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AuthorizeProxyUserResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AuthorizeProxyUserResponse) ProtoMessage() {}

func (x *AuthorizeProxyUserResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[14]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AuthorizeProxyUserResponse.ProtoReflect.Descriptor instead.
func (*AuthorizeProxyUserResponse) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{14}
}

func (x *AuthorizeProxyUserResponse) GetAgent() *AuthorizedAgentForUser {
	if x != nil {
		return x.Agent
	}
	return nil
}

func (x *AuthorizeProxyUserResponse) GetUser() *User {
	if x != nil {
		return x.User
	}
	return nil
}

func (x *AuthorizeProxyUserResponse) GetAccessAs() *AccessAsProxyAuthorization {
	if x != nil {
		return x.AccessAs
	}
	return nil
}

type AuthorizedAgentForUser struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	ConfigProject *ConfigProject         `protobuf:"bytes,2,opt,name=config_project,proto3" json:"config_project,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AuthorizedAgentForUser) Reset() {
	*x = AuthorizedAgentForUser{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[15]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AuthorizedAgentForUser) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AuthorizedAgentForUser) ProtoMessage() {}

func (x *AuthorizedAgentForUser) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[15]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AuthorizedAgentForUser.ProtoReflect.Descriptor instead.
func (*AuthorizedAgentForUser) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{15}
}

func (x *AuthorizedAgentForUser) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *AuthorizedAgentForUser) GetConfigProject() *ConfigProject {
	if x != nil {
		return x.ConfigProject
	}
	return nil
}

type AccessAsProxyAuthorization struct {
	state protoimpl.MessageState `protogen:"open.v1"`
	// Types that are valid to be assigned to AccessAs:
	//
	//	*AccessAsProxyAuthorization_Agent
	//	*AccessAsProxyAuthorization_User
	AccessAs      isAccessAsProxyAuthorization_AccessAs `protobuf_oneof:"access_as"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AccessAsProxyAuthorization) Reset() {
	*x = AccessAsProxyAuthorization{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[16]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AccessAsProxyAuthorization) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AccessAsProxyAuthorization) ProtoMessage() {}

func (x *AccessAsProxyAuthorization) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[16]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AccessAsProxyAuthorization.ProtoReflect.Descriptor instead.
func (*AccessAsProxyAuthorization) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{16}
}

func (x *AccessAsProxyAuthorization) GetAccessAs() isAccessAsProxyAuthorization_AccessAs {
	if x != nil {
		return x.AccessAs
	}
	return nil
}

func (x *AccessAsProxyAuthorization) GetAgent() *AccessAsAgentAuthorization {
	if x != nil {
		if x, ok := x.AccessAs.(*AccessAsProxyAuthorization_Agent); ok {
			return x.Agent
		}
	}
	return nil
}

func (x *AccessAsProxyAuthorization) GetUser() *AccessAsUserAuthorization {
	if x != nil {
		if x, ok := x.AccessAs.(*AccessAsProxyAuthorization_User); ok {
			return x.User
		}
	}
	return nil
}

type isAccessAsProxyAuthorization_AccessAs interface {
	isAccessAsProxyAuthorization_AccessAs()
}

type AccessAsProxyAuthorization_Agent struct {
	Agent *AccessAsAgentAuthorization `protobuf:"bytes,1,opt,name=agent,proto3,oneof"`
}

type AccessAsProxyAuthorization_User struct {
	User *AccessAsUserAuthorization `protobuf:"bytes,2,opt,name=user,proto3,oneof"`
}

func (*AccessAsProxyAuthorization_Agent) isAccessAsProxyAuthorization_AccessAs() {}

func (*AccessAsProxyAuthorization_User) isAccessAsProxyAuthorization_AccessAs() {}

type AccessAsAgentAuthorization struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AccessAsAgentAuthorization) Reset() {
	*x = AccessAsAgentAuthorization{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[17]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AccessAsAgentAuthorization) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AccessAsAgentAuthorization) ProtoMessage() {}

func (x *AccessAsAgentAuthorization) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[17]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AccessAsAgentAuthorization.ProtoReflect.Descriptor instead.
func (*AccessAsAgentAuthorization) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{17}
}

type AccessAsUserAuthorization struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Projects      []*ProjectAccessCF     `protobuf:"bytes,1,rep,name=projects,proto3" json:"projects,omitempty"`
	Groups        []*GroupAccessCF       `protobuf:"bytes,2,rep,name=groups,proto3" json:"groups,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AccessAsUserAuthorization) Reset() {
	*x = AccessAsUserAuthorization{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[18]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AccessAsUserAuthorization) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AccessAsUserAuthorization) ProtoMessage() {}

func (x *AccessAsUserAuthorization) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[18]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AccessAsUserAuthorization.ProtoReflect.Descriptor instead.
func (*AccessAsUserAuthorization) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{18}
}

func (x *AccessAsUserAuthorization) GetProjects() []*ProjectAccessCF {
	if x != nil {
		return x.Projects
	}
	return nil
}

func (x *AccessAsUserAuthorization) GetGroups() []*GroupAccessCF {
	if x != nil {
		return x.Groups
	}
	return nil
}

type ProjectAccessCF struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Roles         []string               `protobuf:"bytes,2,rep,name=roles,proto3" json:"roles,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ProjectAccessCF) Reset() {
	*x = ProjectAccessCF{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[19]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ProjectAccessCF) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProjectAccessCF) ProtoMessage() {}

func (x *ProjectAccessCF) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[19]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProjectAccessCF.ProtoReflect.Descriptor instead.
func (*ProjectAccessCF) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{19}
}

func (x *ProjectAccessCF) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ProjectAccessCF) GetRoles() []string {
	if x != nil {
		return x.Roles
	}
	return nil
}

type GroupAccessCF struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Roles         []string               `protobuf:"bytes,2,rep,name=roles,proto3" json:"roles,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GroupAccessCF) Reset() {
	*x = GroupAccessCF{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[20]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GroupAccessCF) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GroupAccessCF) ProtoMessage() {}

func (x *GroupAccessCF) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[20]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GroupAccessCF.ProtoReflect.Descriptor instead.
func (*GroupAccessCF) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{20}
}

func (x *GroupAccessCF) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *GroupAccessCF) GetRoles() []string {
	if x != nil {
		return x.Roles
	}
	return nil
}

type AgentConfigurationRequest struct {
	state               protoimpl.MessageState      `protogen:"open.v1"`
	AgentId             int64                       `protobuf:"varint,1,opt,name=agent_id,proto3" json:"agent_id,omitempty"`
	AgentConfig         *agentcfg.ConfigurationFile `protobuf:"bytes,2,opt,name=agent_config,proto3" json:"agent_config,omitempty"`
	AgentConfigCommitId string                      `protobuf:"bytes,3,opt,name=agent_config_commit_id,proto3" json:"agent_config_commit_id,omitempty"`
	unknownFields       protoimpl.UnknownFields
	sizeCache           protoimpl.SizeCache
}

func (x *AgentConfigurationRequest) Reset() {
	*x = AgentConfigurationRequest{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[21]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AgentConfigurationRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AgentConfigurationRequest) ProtoMessage() {}

func (x *AgentConfigurationRequest) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[21]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AgentConfigurationRequest.ProtoReflect.Descriptor instead.
func (*AgentConfigurationRequest) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{21}
}

func (x *AgentConfigurationRequest) GetAgentId() int64 {
	if x != nil {
		return x.AgentId
	}
	return 0
}

func (x *AgentConfigurationRequest) GetAgentConfig() *agentcfg.ConfigurationFile {
	if x != nil {
		return x.AgentConfig
	}
	return nil
}

func (x *AgentConfigurationRequest) GetAgentConfigCommitId() string {
	if x != nil {
		return x.AgentConfigCommitId
	}
	return ""
}

type ReceptiveAgent struct {
	state   protoimpl.MessageState `protogen:"open.v1"`
	Id      int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Url     string                 `protobuf:"bytes,2,opt,name=url,proto3" json:"url,omitempty"`
	CaCert  string                 `protobuf:"bytes,3,opt,name=ca_cert,proto3" json:"ca_cert,omitempty"`
	TlsHost string                 `protobuf:"bytes,4,opt,name=tls_host,proto3" json:"tls_host,omitempty"`
	// Types that are valid to be assigned to AuthConfig:
	//
	//	*ReceptiveAgent_Jwt
	//	*ReceptiveAgent_Mtls
	AuthConfig    isReceptiveAgent_AuthConfig `protobuf_oneof:"auth_config"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ReceptiveAgent) Reset() {
	*x = ReceptiveAgent{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[22]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ReceptiveAgent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReceptiveAgent) ProtoMessage() {}

func (x *ReceptiveAgent) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[22]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReceptiveAgent.ProtoReflect.Descriptor instead.
func (*ReceptiveAgent) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{22}
}

func (x *ReceptiveAgent) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ReceptiveAgent) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *ReceptiveAgent) GetCaCert() string {
	if x != nil {
		return x.CaCert
	}
	return ""
}

func (x *ReceptiveAgent) GetTlsHost() string {
	if x != nil {
		return x.TlsHost
	}
	return ""
}

func (x *ReceptiveAgent) GetAuthConfig() isReceptiveAgent_AuthConfig {
	if x != nil {
		return x.AuthConfig
	}
	return nil
}

func (x *ReceptiveAgent) GetJwt() *ReceptiveAgentJWTAuth {
	if x != nil {
		if x, ok := x.AuthConfig.(*ReceptiveAgent_Jwt); ok {
			return x.Jwt
		}
	}
	return nil
}

func (x *ReceptiveAgent) GetMtls() *ReceptiveAgentMutualTLSAuth {
	if x != nil {
		if x, ok := x.AuthConfig.(*ReceptiveAgent_Mtls); ok {
			return x.Mtls
		}
	}
	return nil
}

type isReceptiveAgent_AuthConfig interface {
	isReceptiveAgent_AuthConfig()
}

type ReceptiveAgent_Jwt struct {
	Jwt *ReceptiveAgentJWTAuth `protobuf:"bytes,5,opt,name=jwt,proto3,oneof"`
}

type ReceptiveAgent_Mtls struct {
	Mtls *ReceptiveAgentMutualTLSAuth `protobuf:"bytes,6,opt,name=mtls,proto3,oneof"`
}

func (*ReceptiveAgent_Jwt) isReceptiveAgent_AuthConfig() {}

func (*ReceptiveAgent_Mtls) isReceptiveAgent_AuthConfig() {}

type ReceptiveAgentJWTAuth struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	PrivateKey    string                 `protobuf:"bytes,1,opt,name=private_key,proto3" json:"private_key,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ReceptiveAgentJWTAuth) Reset() {
	*x = ReceptiveAgentJWTAuth{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[23]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ReceptiveAgentJWTAuth) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReceptiveAgentJWTAuth) ProtoMessage() {}

func (x *ReceptiveAgentJWTAuth) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[23]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReceptiveAgentJWTAuth.ProtoReflect.Descriptor instead.
func (*ReceptiveAgentJWTAuth) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{23}
}

func (x *ReceptiveAgentJWTAuth) GetPrivateKey() string {
	if x != nil {
		return x.PrivateKey
	}
	return ""
}

type ReceptiveAgentMutualTLSAuth struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	ClientCert    string                 `protobuf:"bytes,1,opt,name=client_cert,proto3" json:"client_cert,omitempty"`
	ClientKey     string                 `protobuf:"bytes,2,opt,name=client_key,proto3" json:"client_key,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ReceptiveAgentMutualTLSAuth) Reset() {
	*x = ReceptiveAgentMutualTLSAuth{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[24]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ReceptiveAgentMutualTLSAuth) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReceptiveAgentMutualTLSAuth) ProtoMessage() {}

func (x *ReceptiveAgentMutualTLSAuth) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[24]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReceptiveAgentMutualTLSAuth.ProtoReflect.Descriptor instead.
func (*ReceptiveAgentMutualTLSAuth) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{24}
}

func (x *ReceptiveAgentMutualTLSAuth) GetClientCert() string {
	if x != nil {
		return x.ClientCert
	}
	return ""
}

func (x *ReceptiveAgentMutualTLSAuth) GetClientKey() string {
	if x != nil {
		return x.ClientKey
	}
	return ""
}

type GetReceptiveAgentsResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Agents        []*ReceptiveAgent      `protobuf:"bytes,1,rep,name=agents,proto3" json:"agents,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetReceptiveAgentsResponse) Reset() {
	*x = GetReceptiveAgentsResponse{}
	mi := &file_internal_gitlab_api_api_proto_msgTypes[25]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetReceptiveAgentsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetReceptiveAgentsResponse) ProtoMessage() {}

func (x *GetReceptiveAgentsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_internal_gitlab_api_api_proto_msgTypes[25]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetReceptiveAgentsResponse.ProtoReflect.Descriptor instead.
func (*GetReceptiveAgentsResponse) Descriptor() ([]byte, []int) {
	return file_internal_gitlab_api_api_proto_rawDescGZIP(), []int{25}
}

func (x *GetReceptiveAgentsResponse) GetAgents() []*ReceptiveAgent {
	if x != nil {
		return x.Agents
	}
	return nil
}

var File_internal_gitlab_api_api_proto protoreflect.FileDescriptor

var file_internal_gitlab_api_api_proto_rawDesc = string([]byte{
	0x0a, 0x1d, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x70, 0x69, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x17, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x1a, 0x1b, 0x70, 0x6b, 0x67, 0x2f, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x63, 0x66, 0x67, 0x2f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x63, 0x66, 0x67, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x70, 0x6b, 0x67, 0x2f, 0x63, 0x6f, 0x6e, 0x73, 0x74,
	0x72, 0x61, 0x69, 0x6e, 0x74, 0x2f, 0x63, 0x6f, 0x6e, 0x73, 0x74, 0x72, 0x61, 0x69, 0x6e, 0x74,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x62, 0x75, 0x66, 0x2f, 0x76, 0x61, 0x6c, 0x69,
	0x64, 0x61, 0x74, 0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x17, 0x70, 0x6b, 0x67, 0x2f, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2f,
	0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x80, 0x01, 0x0a,
	0x0d, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x2c,
	0x0a, 0x11, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
	0x61, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x11, 0x64, 0x65, 0x66, 0x61, 0x75,
	0x6c, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x12, 0x41, 0x0a, 0x09,
	0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x61, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x23, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x63, 0x66, 0x67, 0x2e, 0x43, 0x69, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73,
	0x41, 0x73, 0x43, 0x46, 0x52, 0x09, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x61, 0x73, 0x22,
	0xc4, 0x01, 0x0a, 0x0c, 0x41, 0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x64, 0x41, 0x67, 0x65, 0x6e, 0x74,
	0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64,
	0x12, 0x56, 0x0a, 0x0e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65,
	0x63, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74,
	0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x0e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x4c, 0x0a, 0x0d, 0x63, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x26, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0d, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75,
	0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x1f, 0x0a, 0x0d, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x1a, 0x0a, 0x08, 0x50, 0x69, 0x70, 0x65, 0x6c,
	0x69, 0x6e, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x02, 0x69, 0x64, 0x22, 0x51, 0x0a, 0x07, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x36,
	0x0a, 0x06, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1e,
	0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x52, 0x06,
	0x67, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x22, 0x17, 0x0a, 0x05, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x12,
	0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22,
	0x15, 0x0a, 0x03, 0x4a, 0x6f, 0x62, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x3b, 0x0a, 0x04, 0x55, 0x73, 0x65, 0x72, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x23,
	0x0a, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e,
	0x61, 0x6d, 0x65, 0x22, 0x47, 0x0a, 0x0b, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65,
	0x6e, 0x74, 0x12, 0x1b, 0x0a, 0x04, 0x73, 0x6c, 0x75, 0x67, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x04, 0x73, 0x6c, 0x75, 0x67, 0x12,
	0x1b, 0x0a, 0x04, 0x74, 0x69, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba,
	0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x04, 0x74, 0x69, 0x65, 0x72, 0x22, 0xe8, 0x02, 0x0a,
	0x14, 0x47, 0x65, 0x74, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x27, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74,
	0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x42, 0x07, 0xba, 0x48, 0x04, 0x22, 0x02,
	0x20, 0x00, 0x52, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x12, 0x23,
	0x0a, 0x08, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03,
	0x42, 0x07, 0xba, 0x48, 0x04, 0x22, 0x02, 0x20, 0x00, 0x52, 0x08, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x5f, 0x69, 0x64, 0x12, 0x29, 0x0a, 0x0a, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x6e, 0x61, 0x6d,
	0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x42, 0x09, 0xba, 0x48, 0x06, 0x72, 0x04, 0xd0, 0x9e,
	0x5e, 0x01, 0x52, 0x0a, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x49,
	0x0a, 0x0b, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x2e, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x47, 0x69, 0x74, 0x61, 0x6c, 0x79,
	0x49, 0x6e, 0x66, 0x6f, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x0b, 0x67, 0x69,
	0x74, 0x61, 0x6c, 0x79, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x12, 0x5b, 0x0a, 0x11, 0x67, 0x69, 0x74,
	0x61, 0x6c, 0x79, 0x5f, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x2e, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x47, 0x69, 0x74, 0x61, 0x6c,
	0x79, 0x52, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x42, 0x06, 0xba, 0x48, 0x03,
	0xc8, 0x01, 0x01, 0x52, 0x11, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x5f, 0x72, 0x65, 0x70, 0x6f,
	0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x12, 0x2f, 0x0a, 0x0e, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c,
	0x74, 0x5f, 0x62, 0x72, 0x61, 0x6e, 0x63, 0x68, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07,
	0xba, 0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x0e, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74,
	0x5f, 0x62, 0x72, 0x61, 0x6e, 0x63, 0x68, 0x22, 0x9a, 0x02, 0x0a, 0x16, 0x47, 0x65, 0x74, 0x50,
	0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x27, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x42, 0x07, 0xba, 0x48, 0x04, 0x22, 0x02, 0x20, 0x00, 0x52,
	0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x12, 0x49, 0x0a, 0x0b, 0x67,
	0x69, 0x74, 0x61, 0x6c, 0x79, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1f, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e,
	0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x47, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x49, 0x6e, 0x66,
	0x6f, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x0b, 0x67, 0x69, 0x74, 0x61, 0x6c,
	0x79, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x12, 0x5b, 0x0a, 0x11, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x79,
	0x5f, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x25, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x47, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x52, 0x65,
	0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01,
	0x52, 0x11, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x5f, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74,
	0x6f, 0x72, 0x79, 0x12, 0x2f, 0x0a, 0x0e, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x5f, 0x62,
	0x72, 0x61, 0x6e, 0x63, 0x68, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48, 0x04,
	0x72, 0x02, 0x20, 0x01, 0x52, 0x0e, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x5f, 0x62, 0x72,
	0x61, 0x6e, 0x63, 0x68, 0x22, 0x9d, 0x02, 0x0a, 0x19, 0x47, 0x65, 0x74, 0x52, 0x65, 0x70, 0x6f,
	0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x27, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x42, 0x07, 0xba, 0x48, 0x04, 0x22, 0x02, 0x20, 0x00, 0x52,
	0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x12, 0x49, 0x0a, 0x0b, 0x67,
	0x69, 0x74, 0x61, 0x6c, 0x79, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x1f, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e,
	0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x47, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x49, 0x6e, 0x66,
	0x6f, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x0b, 0x67, 0x69, 0x74, 0x61, 0x6c,
	0x79, 0x5f, 0x69, 0x6e, 0x66, 0x6f, 0x12, 0x5b, 0x0a, 0x11, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x79,
	0x5f, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x25, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x47, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x52, 0x65,
	0x70, 0x6f, 0x73, 0x69, 0x74, 0x6f, 0x72, 0x79, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01,
	0x52, 0x11, 0x67, 0x69, 0x74, 0x61, 0x6c, 0x79, 0x5f, 0x72, 0x65, 0x70, 0x6f, 0x73, 0x69, 0x74,
	0x6f, 0x72, 0x79, 0x12, 0x2f, 0x0a, 0x0e, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x5f, 0x62,
	0x72, 0x61, 0x6e, 0x63, 0x68, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48, 0x04,
	0x72, 0x02, 0x20, 0x01, 0x52, 0x0e, 0x64, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x5f, 0x62, 0x72,
	0x61, 0x6e, 0x63, 0x68, 0x22, 0xaa, 0x03, 0x0a, 0x13, 0x41, 0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x64,
	0x41, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x46, 0x6f, 0x72, 0x4a, 0x6f, 0x62, 0x12, 0x4d, 0x0a, 0x0e,
	0x61, 0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x64, 0x5f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x18, 0x01,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x41,
	0x6c, 0x6c, 0x6f, 0x77, 0x65, 0x64, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x52, 0x0e, 0x61, 0x6c, 0x6c,
	0x6f, 0x77, 0x65, 0x64, 0x5f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x12, 0x36, 0x0a, 0x03, 0x6a,
	0x6f, 0x62, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x4a, 0x6f, 0x62, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x03,
	0x6a, 0x6f, 0x62, 0x12, 0x45, 0x0a, 0x08, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e,
	0x50, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01,
	0x52, 0x08, 0x70, 0x69, 0x70, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x12, 0x42, 0x0a, 0x07, 0x70, 0x72,
	0x6f, 0x6a, 0x65, 0x63, 0x74, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x20, 0x2e, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x42, 0x06, 0xba,
	0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x07, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x12, 0x39,
	0x0a, 0x04, 0x75, 0x73, 0x65, 0x72, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x42, 0x06, 0xba, 0x48, 0x03,
	0xc8, 0x01, 0x01, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72, 0x12, 0x46, 0x0a, 0x0b, 0x65, 0x6e, 0x76,
	0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x24,
	0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x45, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e,
	0x6d, 0x65, 0x6e, 0x74, 0x52, 0x0b, 0x65, 0x6e, 0x76, 0x69, 0x72, 0x6f, 0x6e, 0x6d, 0x65, 0x6e,
	0x74, 0x22, 0xd9, 0x01, 0x0a, 0x19, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x65, 0x50,
	0x72, 0x6f, 0x78, 0x79, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x23, 0x0a, 0x08, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x03, 0x42, 0x07, 0xba, 0x48, 0x04, 0x22, 0x02, 0x20, 0x00, 0x52, 0x08, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x5f, 0x69, 0x64, 0x12, 0x4e, 0x0a, 0x0b, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x74,
	0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x42, 0x2c, 0xba, 0x48, 0x29, 0x72, 0x27,
	0x52, 0x0e, 0x73, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x5f, 0x63, 0x6f, 0x6f, 0x6b, 0x69, 0x65,
	0x52, 0x15, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x61, 0x6c, 0x5f, 0x61, 0x63, 0x63, 0x65, 0x73,
	0x73, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x52, 0x0b, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f,
	0x74, 0x79, 0x70, 0x65, 0x12, 0x27, 0x0a, 0x0a, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x6b,
	0x65, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20,
	0x01, 0x52, 0x0a, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x6b, 0x65, 0x79, 0x12, 0x1e, 0x0a,
	0x0a, 0x63, 0x73, 0x72, 0x66, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0a, 0x63, 0x73, 0x72, 0x66, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x22, 0x81, 0x02,
	0x0a, 0x1a, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x65, 0x50, 0x72, 0x6f, 0x78, 0x79,
	0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4d, 0x0a, 0x05,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2f, 0x2e, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61,
	0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x65, 0x64,
	0x41, 0x67, 0x65, 0x6e, 0x74, 0x46, 0x6f, 0x72, 0x55, 0x73, 0x65, 0x72, 0x42, 0x06, 0xba, 0x48,
	0x03, 0xc8, 0x01, 0x01, 0x52, 0x05, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x12, 0x39, 0x0a, 0x04, 0x75,
	0x73, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x55, 0x73, 0x65, 0x72, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01,
	0x52, 0x04, 0x75, 0x73, 0x65, 0x72, 0x12, 0x59, 0x0a, 0x09, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73,
	0x5f, 0x61, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x33, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x41, 0x73, 0x50, 0x72, 0x6f, 0x78,
	0x79, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x06,
	0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x09, 0x61, 0x63, 0x63, 0x65, 0x73, 0x73, 0x5f, 0x61,
	0x73, 0x22, 0x80, 0x01, 0x0a, 0x16, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x65, 0x64,
	0x41, 0x67, 0x65, 0x6e, 0x74, 0x46, 0x6f, 0x72, 0x55, 0x73, 0x65, 0x72, 0x12, 0x0e, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x56, 0x0a, 0x0e,
	0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x5f, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x43,
	0x6f, 0x6e, 0x66, 0x69, 0x67, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x42, 0x06, 0xba, 0x48,
	0x03, 0xc8, 0x01, 0x01, 0x52, 0x0e, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x5f, 0x70, 0x72, 0x6f,
	0x6a, 0x65, 0x63, 0x74, 0x22, 0xc7, 0x01, 0x0a, 0x1a, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x41,
	0x73, 0x50, 0x72, 0x6f, 0x78, 0x79, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x12, 0x4b, 0x0a, 0x05, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x33, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x41, 0x63, 0x63,
	0x65, 0x73, 0x73, 0x41, 0x73, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72,
	0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x48, 0x00, 0x52, 0x05, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x12, 0x48, 0x0a, 0x04, 0x75, 0x73, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x32,
	0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x41,
	0x73, 0x55, 0x73, 0x65, 0x72, 0x41, 0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x48, 0x00, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72, 0x42, 0x12, 0x0a, 0x09, 0x61, 0x63,
	0x63, 0x65, 0x73, 0x73, 0x5f, 0x61, 0x73, 0x12, 0x05, 0xba, 0x48, 0x02, 0x08, 0x01, 0x22, 0x1c,
	0x0a, 0x1a, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x41, 0x73, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x41,
	0x75, 0x74, 0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xa1, 0x01, 0x0a,
	0x19, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x41, 0x73, 0x55, 0x73, 0x65, 0x72, 0x41, 0x75, 0x74,
	0x68, 0x6f, 0x72, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x44, 0x0a, 0x08, 0x70, 0x72,
	0x6f, 0x6a, 0x65, 0x63, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x41, 0x63,
	0x63, 0x65, 0x73, 0x73, 0x43, 0x46, 0x52, 0x08, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x73,
	0x12, 0x3e, 0x0a, 0x06, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x26, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x47, 0x72, 0x6f, 0x75, 0x70,
	0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x43, 0x46, 0x52, 0x06, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x73,
	0x22, 0x37, 0x0a, 0x0f, 0x50, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x41, 0x63, 0x63, 0x65, 0x73,
	0x73, 0x43, 0x46, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x02, 0x69, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x72, 0x6f, 0x6c, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03,
	0x28, 0x09, 0x52, 0x05, 0x72, 0x6f, 0x6c, 0x65, 0x73, 0x22, 0x35, 0x0a, 0x0d, 0x47, 0x72, 0x6f,
	0x75, 0x70, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73, 0x43, 0x46, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x72, 0x6f,
	0x6c, 0x65, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x09, 0x52, 0x05, 0x72, 0x6f, 0x6c, 0x65, 0x73,
	0x22, 0xce, 0x01, 0x0a, 0x19, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67,
	0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x23,
	0x0a, 0x08, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03,
	0x42, 0x07, 0xba, 0x48, 0x04, 0x22, 0x02, 0x20, 0x00, 0x52, 0x08, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x5f, 0x69, 0x64, 0x12, 0x54, 0x0a, 0x0c, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x63, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x63, 0x66,
	0x67, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x46,
	0x69, 0x6c, 0x65, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x0c, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x36, 0x0a, 0x16, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x69, 0x74,
	0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x16, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x69, 0x74, 0x5f, 0x69,
	0x64, 0x22, 0xa1, 0x02, 0x0a, 0x0e, 0x52, 0x65, 0x63, 0x65, 0x70, 0x74, 0x69, 0x76, 0x65, 0x41,
	0x67, 0x65, 0x6e, 0x74, 0x12, 0x17, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03,
	0x42, 0x07, 0xba, 0x48, 0x04, 0x22, 0x02, 0x20, 0x00, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1a, 0x0a,
	0x03, 0x75, 0x72, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x42, 0x08, 0xba, 0x48, 0x05, 0x72,
	0x03, 0x88, 0x01, 0x01, 0x52, 0x03, 0x75, 0x72, 0x6c, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x61, 0x5f,
	0x63, 0x65, 0x72, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x63, 0x61, 0x5f, 0x63,
	0x65, 0x72, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x74, 0x6c, 0x73, 0x5f, 0x68, 0x6f, 0x73, 0x74, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x74, 0x6c, 0x73, 0x5f, 0x68, 0x6f, 0x73, 0x74, 0x12,
	0x42, 0x0a, 0x03, 0x6a, 0x77, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x52, 0x65, 0x63, 0x65, 0x70, 0x74, 0x69, 0x76, 0x65,
	0x41, 0x67, 0x65, 0x6e, 0x74, 0x4a, 0x57, 0x54, 0x41, 0x75, 0x74, 0x68, 0x48, 0x00, 0x52, 0x03,
	0x6a, 0x77, 0x74, 0x12, 0x4a, 0x0a, 0x04, 0x6d, 0x74, 0x6c, 0x73, 0x18, 0x06, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x34, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x52, 0x65, 0x63, 0x65,
	0x70, 0x74, 0x69, 0x76, 0x65, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x4d, 0x75, 0x74, 0x75, 0x61, 0x6c,
	0x54, 0x4c, 0x53, 0x41, 0x75, 0x74, 0x68, 0x48, 0x00, 0x52, 0x04, 0x6d, 0x74, 0x6c, 0x73, 0x42,
	0x14, 0x0a, 0x0b, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x05,
	0xba, 0x48, 0x02, 0x08, 0x01, 0x22, 0x42, 0x0a, 0x15, 0x52, 0x65, 0x63, 0x65, 0x70, 0x74, 0x69,
	0x76, 0x65, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x4a, 0x57, 0x54, 0x41, 0x75, 0x74, 0x68, 0x12, 0x29,
	0x0a, 0x0b, 0x70, 0x72, 0x69, 0x76, 0x61, 0x74, 0x65, 0x5f, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x0b, 0x70, 0x72,
	0x69, 0x76, 0x61, 0x74, 0x65, 0x5f, 0x6b, 0x65, 0x79, 0x22, 0x71, 0x0a, 0x1b, 0x52, 0x65, 0x63,
	0x65, 0x70, 0x74, 0x69, 0x76, 0x65, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x4d, 0x75, 0x74, 0x75, 0x61,
	0x6c, 0x54, 0x4c, 0x53, 0x41, 0x75, 0x74, 0x68, 0x12, 0x29, 0x0a, 0x0b, 0x63, 0x6c, 0x69, 0x65,
	0x6e, 0x74, 0x5f, 0x63, 0x65, 0x72, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba,
	0x48, 0x04, 0x72, 0x02, 0x20, 0x01, 0x52, 0x0b, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x5f, 0x63,
	0x65, 0x72, 0x74, 0x12, 0x27, 0x0a, 0x0a, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x5f, 0x6b, 0x65,
	0x79, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x42, 0x07, 0xba, 0x48, 0x04, 0x72, 0x02, 0x20, 0x01,
	0x52, 0x0a, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x5f, 0x6b, 0x65, 0x79, 0x22, 0x5d, 0x0a, 0x1a,
	0x47, 0x65, 0x74, 0x52, 0x65, 0x63, 0x65, 0x70, 0x74, 0x69, 0x76, 0x65, 0x41, 0x67, 0x65, 0x6e,
	0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3f, 0x0a, 0x06, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x52, 0x65, 0x63, 0x65, 0x70, 0x74, 0x69, 0x76, 0x65, 0x41, 0x67,
	0x65, 0x6e, 0x74, 0x52, 0x06, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x42, 0x50, 0x5a, 0x4e, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2d, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x2d, 0x69, 0x6e, 0x74,
	0x65, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2d,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x2f, 0x76, 0x31, 0x37, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e,
	0x61, 0x6c, 0x2f, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2f, 0x61, 0x70, 0x69, 0x62, 0x06, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_internal_gitlab_api_api_proto_rawDescOnce sync.Once
	file_internal_gitlab_api_api_proto_rawDescData []byte
)

func file_internal_gitlab_api_api_proto_rawDescGZIP() []byte {
	file_internal_gitlab_api_api_proto_rawDescOnce.Do(func() {
		file_internal_gitlab_api_api_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_internal_gitlab_api_api_proto_rawDesc), len(file_internal_gitlab_api_api_proto_rawDesc)))
	})
	return file_internal_gitlab_api_api_proto_rawDescData
}

var file_internal_gitlab_api_api_proto_msgTypes = make([]protoimpl.MessageInfo, 26)
var file_internal_gitlab_api_api_proto_goTypes = []any{
	(*Configuration)(nil),               // 0: gitlab.agent.gitlab.api.Configuration
	(*AllowedAgent)(nil),                // 1: gitlab.agent.gitlab.api.AllowedAgent
	(*ConfigProject)(nil),               // 2: gitlab.agent.gitlab.api.ConfigProject
	(*Pipeline)(nil),                    // 3: gitlab.agent.gitlab.api.Pipeline
	(*Project)(nil),                     // 4: gitlab.agent.gitlab.api.Project
	(*Group)(nil),                       // 5: gitlab.agent.gitlab.api.Group
	(*Job)(nil),                         // 6: gitlab.agent.gitlab.api.Job
	(*User)(nil),                        // 7: gitlab.agent.gitlab.api.User
	(*Environment)(nil),                 // 8: gitlab.agent.gitlab.api.Environment
	(*GetAgentInfoResponse)(nil),        // 9: gitlab.agent.gitlab.api.GetAgentInfoResponse
	(*GetProjectInfoResponse)(nil),      // 10: gitlab.agent.gitlab.api.GetProjectInfoResponse
	(*GetRepositoryInfoResponse)(nil),   // 11: gitlab.agent.gitlab.api.GetRepositoryInfoResponse
	(*AllowedAgentsForJob)(nil),         // 12: gitlab.agent.gitlab.api.AllowedAgentsForJob
	(*AuthorizeProxyUserRequest)(nil),   // 13: gitlab.agent.gitlab.api.AuthorizeProxyUserRequest
	(*AuthorizeProxyUserResponse)(nil),  // 14: gitlab.agent.gitlab.api.AuthorizeProxyUserResponse
	(*AuthorizedAgentForUser)(nil),      // 15: gitlab.agent.gitlab.api.AuthorizedAgentForUser
	(*AccessAsProxyAuthorization)(nil),  // 16: gitlab.agent.gitlab.api.AccessAsProxyAuthorization
	(*AccessAsAgentAuthorization)(nil),  // 17: gitlab.agent.gitlab.api.AccessAsAgentAuthorization
	(*AccessAsUserAuthorization)(nil),   // 18: gitlab.agent.gitlab.api.AccessAsUserAuthorization
	(*ProjectAccessCF)(nil),             // 19: gitlab.agent.gitlab.api.ProjectAccessCF
	(*GroupAccessCF)(nil),               // 20: gitlab.agent.gitlab.api.GroupAccessCF
	(*AgentConfigurationRequest)(nil),   // 21: gitlab.agent.gitlab.api.AgentConfigurationRequest
	(*ReceptiveAgent)(nil),              // 22: gitlab.agent.gitlab.api.ReceptiveAgent
	(*ReceptiveAgentJWTAuth)(nil),       // 23: gitlab.agent.gitlab.api.ReceptiveAgentJWTAuth
	(*ReceptiveAgentMutualTLSAuth)(nil), // 24: gitlab.agent.gitlab.api.ReceptiveAgentMutualTLSAuth
	(*GetReceptiveAgentsResponse)(nil),  // 25: gitlab.agent.gitlab.api.GetReceptiveAgentsResponse
	(*agentcfg.CiAccessAsCF)(nil),       // 26: gitlab.agent.agentcfg.CiAccessAsCF
	(*entity.GitalyInfo)(nil),           // 27: gitlab.agent.entity.GitalyInfo
	(*entity.GitalyRepository)(nil),     // 28: gitlab.agent.entity.GitalyRepository
	(*agentcfg.ConfigurationFile)(nil),  // 29: gitlab.agent.agentcfg.ConfigurationFile
}
var file_internal_gitlab_api_api_proto_depIdxs = []int32{
	26, // 0: gitlab.agent.gitlab.api.Configuration.access_as:type_name -> gitlab.agent.agentcfg.CiAccessAsCF
	2,  // 1: gitlab.agent.gitlab.api.AllowedAgent.config_project:type_name -> gitlab.agent.gitlab.api.ConfigProject
	0,  // 2: gitlab.agent.gitlab.api.AllowedAgent.configuration:type_name -> gitlab.agent.gitlab.api.Configuration
	5,  // 3: gitlab.agent.gitlab.api.Project.groups:type_name -> gitlab.agent.gitlab.api.Group
	27, // 4: gitlab.agent.gitlab.api.GetAgentInfoResponse.gitaly_info:type_name -> gitlab.agent.entity.GitalyInfo
	28, // 5: gitlab.agent.gitlab.api.GetAgentInfoResponse.gitaly_repository:type_name -> gitlab.agent.entity.GitalyRepository
	27, // 6: gitlab.agent.gitlab.api.GetProjectInfoResponse.gitaly_info:type_name -> gitlab.agent.entity.GitalyInfo
	28, // 7: gitlab.agent.gitlab.api.GetProjectInfoResponse.gitaly_repository:type_name -> gitlab.agent.entity.GitalyRepository
	27, // 8: gitlab.agent.gitlab.api.GetRepositoryInfoResponse.gitaly_info:type_name -> gitlab.agent.entity.GitalyInfo
	28, // 9: gitlab.agent.gitlab.api.GetRepositoryInfoResponse.gitaly_repository:type_name -> gitlab.agent.entity.GitalyRepository
	1,  // 10: gitlab.agent.gitlab.api.AllowedAgentsForJob.allowed_agents:type_name -> gitlab.agent.gitlab.api.AllowedAgent
	6,  // 11: gitlab.agent.gitlab.api.AllowedAgentsForJob.job:type_name -> gitlab.agent.gitlab.api.Job
	3,  // 12: gitlab.agent.gitlab.api.AllowedAgentsForJob.pipeline:type_name -> gitlab.agent.gitlab.api.Pipeline
	4,  // 13: gitlab.agent.gitlab.api.AllowedAgentsForJob.project:type_name -> gitlab.agent.gitlab.api.Project
	7,  // 14: gitlab.agent.gitlab.api.AllowedAgentsForJob.user:type_name -> gitlab.agent.gitlab.api.User
	8,  // 15: gitlab.agent.gitlab.api.AllowedAgentsForJob.environment:type_name -> gitlab.agent.gitlab.api.Environment
	15, // 16: gitlab.agent.gitlab.api.AuthorizeProxyUserResponse.agent:type_name -> gitlab.agent.gitlab.api.AuthorizedAgentForUser
	7,  // 17: gitlab.agent.gitlab.api.AuthorizeProxyUserResponse.user:type_name -> gitlab.agent.gitlab.api.User
	16, // 18: gitlab.agent.gitlab.api.AuthorizeProxyUserResponse.access_as:type_name -> gitlab.agent.gitlab.api.AccessAsProxyAuthorization
	2,  // 19: gitlab.agent.gitlab.api.AuthorizedAgentForUser.config_project:type_name -> gitlab.agent.gitlab.api.ConfigProject
	17, // 20: gitlab.agent.gitlab.api.AccessAsProxyAuthorization.agent:type_name -> gitlab.agent.gitlab.api.AccessAsAgentAuthorization
	18, // 21: gitlab.agent.gitlab.api.AccessAsProxyAuthorization.user:type_name -> gitlab.agent.gitlab.api.AccessAsUserAuthorization
	19, // 22: gitlab.agent.gitlab.api.AccessAsUserAuthorization.projects:type_name -> gitlab.agent.gitlab.api.ProjectAccessCF
	20, // 23: gitlab.agent.gitlab.api.AccessAsUserAuthorization.groups:type_name -> gitlab.agent.gitlab.api.GroupAccessCF
	29, // 24: gitlab.agent.gitlab.api.AgentConfigurationRequest.agent_config:type_name -> gitlab.agent.agentcfg.ConfigurationFile
	23, // 25: gitlab.agent.gitlab.api.ReceptiveAgent.jwt:type_name -> gitlab.agent.gitlab.api.ReceptiveAgentJWTAuth
	24, // 26: gitlab.agent.gitlab.api.ReceptiveAgent.mtls:type_name -> gitlab.agent.gitlab.api.ReceptiveAgentMutualTLSAuth
	22, // 27: gitlab.agent.gitlab.api.GetReceptiveAgentsResponse.agents:type_name -> gitlab.agent.gitlab.api.ReceptiveAgent
	28, // [28:28] is the sub-list for method output_type
	28, // [28:28] is the sub-list for method input_type
	28, // [28:28] is the sub-list for extension type_name
	28, // [28:28] is the sub-list for extension extendee
	0,  // [0:28] is the sub-list for field type_name
}

func init() { file_internal_gitlab_api_api_proto_init() }
func file_internal_gitlab_api_api_proto_init() {
	if File_internal_gitlab_api_api_proto != nil {
		return
	}
	file_internal_gitlab_api_api_proto_msgTypes[16].OneofWrappers = []any{
		(*AccessAsProxyAuthorization_Agent)(nil),
		(*AccessAsProxyAuthorization_User)(nil),
	}
	file_internal_gitlab_api_api_proto_msgTypes[22].OneofWrappers = []any{
		(*ReceptiveAgent_Jwt)(nil),
		(*ReceptiveAgent_Mtls)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_internal_gitlab_api_api_proto_rawDesc), len(file_internal_gitlab_api_api_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   26,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_internal_gitlab_api_api_proto_goTypes,
		DependencyIndexes: file_internal_gitlab_api_api_proto_depIdxs,
		MessageInfos:      file_internal_gitlab_api_api_proto_msgTypes,
	}.Build()
	File_internal_gitlab_api_api_proto = out.File
	file_internal_gitlab_api_api_proto_goTypes = nil
	file_internal_gitlab_api_api_proto_depIdxs = nil
}
